petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFortranCallbackRegister

register a type+subtype callback

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFortranCallbackRegister(PetscClassId classid,const char *subtype,PetscFortranCallbackId *id)

Not Collective Many br

### Input Arguments

| classid | - ID of class on which to register callback Many br
| subtype | - subtype string, or NULL for class ids Many br

### Output Arguments

id -callback id Many br

Many br

### See Also

PetscFortranCallbackGetSizes()

Level:developer
Location:src/sys/objects/fcallback.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages